﻿using System.Diagnostics;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Website.Data;
using Website.ViewModels;

namespace Website.Controllers
{
	public class HomeController : Controller
	{
		private readonly BlogRepository _blogRepo;

		public HomeController(BlogRepository blogRepo)
		{
			_blogRepo = blogRepo;
		}

		public async Task<IActionResult> Index()
		{
			var post = await _blogRepo.GetLatestPostAsync();
			var model = new BlogPostPreviewViewModel(post);
			return View(model);
		}
	}
}
